package com.example.nto.repository;

import com.example.nto.dto.EnterDTO;
import com.example.nto.entity.Enter;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface EnterRepository extends JpaRepository<Enter, Long> {
    @Query("SELECT u FROM Enter u WHERE u.username = :username")
    List<Enter> findAllByUsername(@Param("username") String username);
}
